org.deidentifier.arx.gui.view.impl.common

## Class ComponentTitledFolder

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.common.ComponentTitledFolder

All Implemented Interfaces:
  IComponent

    public class ComponentTitledFolder
    extends java.lang.Object
    implements IComponent

This class implements a titled folder.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`ComponentTitledFolder(org.eclipse.swt.widgets.Composite parent, Controller controller, ComponentTitledFolderButtonBar bar, java.lang.String id)` Creates a new instance.
`ComponentTitledFolder(org.eclipse.swt.widgets.Composite parent, Controller controller, ComponentTitledFolderButtonBar bar, java.lang.String id, boolean bottom, boolean supportsHidingElements)` Creates a new instance.
`ComponentTitledFolder(org.eclipse.swt.widgets.Composite parent, Controller controller, ComponentTitledFolderButtonBar bar, java.lang.String id, java.util.Map<org.eclipse.swt.widgets.Composite,java.lang.String> helpids)` Creates a new instance.
`ComponentTitledFolder(org.eclipse.swt.widgets.Composite parent, Controller controller, ComponentTitledFolderButtonBar bar, java.lang.String id, java.util.Map<org.eclipse.swt.widgets.Composite,java.lang.String> helpids, boolean bottom, boolean hasHidingMenu)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addSelectionListener(org.eclipse.swt.events.SelectionListener listener)` Adds a selection listener.
`org.eclipse.swt.widgets.Composite` `createItem(java.lang.String title, org.eclipse.swt.graphics.Image image)` Creates a new entry in the folder.
`org.eclipse.swt.widgets.Composite` `createItem(java.lang.String title, org.eclipse.swt.graphics.Image image, boolean hideable)` Creates a new entry in the folder.
`org.eclipse.swt.widgets.Composite` `createItem(java.lang.String title, org.eclipse.swt.graphics.Image image, boolean hideable, org.eclipse.swt.widgets.Layout layout)` Creates a new entry in the folder.
`org.eclipse.swt.widgets.Composite` `createItem(java.lang.String title, org.eclipse.swt.graphics.Image image, int index, boolean hideable)` Creates a new entry in the folder.
`org.eclipse.swt.widgets.Composite` `createItem(java.lang.String title, org.eclipse.swt.graphics.Image image, int index, boolean hideable, org.eclipse.swt.widgets.Layout layout)` Creates a new entry in the folder.
`org.eclipse.swt.widgets.ToolItem` `getButtonItem(java.lang.String text)` Returns the button item for the given text.
`int` `getItemCount()` Returns the number of items in the folder.
`org.eclipse.swt.widgets.Control` `getSelectedControl()` Returns the selected control
`int` `getSelectionIndex()` Returns the currently selected index.
`org.eclipse.swt.graphics.Point` `getSize()`
`java.util.List<java.lang.String>` `getVisibleItems()` Returns all visible items
`void` `setEnabled(boolean b)` Enables/disables the component.
`void` `setItemVisibilityListener(org.eclipse.swt.events.SelectionListener listener)` Sets the item visibility listener
`void` `setLayoutData(java.lang.Object data)` Sets layout data.
`void` `setSelectedControl(org.eclipse.swt.widgets.Control c)` Selects the item with the given control
`void` `setSelection(int index)` Sets the current selection.
`void` `setVisible(java.lang.String item, boolean visible)` Sets the according item visible
`void` `setVisibleItems(java.util.List<java.lang.String> items)` Sets the given items as visible

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComponentTitledFolder

    public ComponentTitledFolder(org.eclipse.swt.widgets.Composite parent,
                                 Controller controller,
                                 ComponentTitledFolderButtonBar bar,
                                 java.lang.String id)

Creates a new instance.

Parameters:
  `parent` -
  `controller` -
  `bar` -
  `id` -

#### ComponentTitledFolder

    public ComponentTitledFolder(org.eclipse.swt.widgets.Composite parent,
                                 Controller controller,
                                 ComponentTitledFolderButtonBar bar,
                                 java.lang.String id,
                                 boolean bottom,
                                 boolean supportsHidingElements)

Creates a new instance.

Parameters:
  `parent` -
  `controller` -
  `bar` -
  `id` -
  `bottom` -

#### ComponentTitledFolder

    public ComponentTitledFolder(org.eclipse.swt.widgets.Composite parent,
                                 Controller controller,
                                 ComponentTitledFolderButtonBar bar,
                                 java.lang.String id,
                                 java.util.Map<org.eclipse.swt.widgets.Composite,java.lang.String> helpids)

Creates a new instance.

Parameters:
  `parent` -
  `controller` -
  `bar` -
  `id` -
  `helpids` -

#### ComponentTitledFolder

    public ComponentTitledFolder(org.eclipse.swt.widgets.Composite parent,
                                 Controller controller,
                                 ComponentTitledFolderButtonBar bar,
                                 java.lang.String id,
                                 java.util.Map<org.eclipse.swt.widgets.Composite,java.lang.String> helpids,
                                 boolean bottom,
                                 boolean hasHidingMenu)

Creates a new instance.

Parameters:
  `parent` -
  `controller` -
  `bar` -
  `id` -
  `bottom` -
  `hasHidingMenu` -

### Method Detail

#### addSelectionListener

    public void addSelectionListener(org.eclipse.swt.events.SelectionListener listener)

Adds a selection listener.

Parameters:
  `listener` -

#### createItem

    public org.eclipse.swt.widgets.Composite createItem(java.lang.String title,
                                                        org.eclipse.swt.graphics.Image image)

Creates a new entry in the folder.

Parameters:
  `title` -
  `image` -
Returns:

#### createItem

    public org.eclipse.swt.widgets.Composite createItem(java.lang.String title,
                                                        org.eclipse.swt.graphics.Image image,
                                                        boolean hideable)

Creates a new entry in the folder.

Parameters:
  `title` -
  `image` -
  `hideable` -
Returns:

#### createItem

    public org.eclipse.swt.widgets.Composite createItem(java.lang.String title,
                                                        org.eclipse.swt.graphics.Image image,
                                                        boolean hideable,
                                                        org.eclipse.swt.widgets.Layout layout)

Creates a new entry in the folder.

Parameters:
  `title` -
  `image` -
  `hideable` -
  `layout` -
Returns:

#### createItem

    public org.eclipse.swt.widgets.Composite createItem(java.lang.String title,
                                                        org.eclipse.swt.graphics.Image image,
                                                        int index,
                                                        boolean hideable)

Creates a new entry in the folder.

Parameters:
  `title` -
  `image` -
  `index` -
  `hideable` -
Returns:

#### createItem

    public org.eclipse.swt.widgets.Composite createItem(java.lang.String title,
                                                        org.eclipse.swt.graphics.Image image,
                                                        int index,
                                                        boolean hideable,
                                                        org.eclipse.swt.widgets.Layout layout)

Creates a new entry in the folder.

Parameters:
  `title` -
  `image` -
  `index` -
  `hideable` -
  `layout` -
Returns:

#### getButtonItem

    public org.eclipse.swt.widgets.ToolItem getButtonItem(java.lang.String text)

Returns the button item for the given text.

Parameters:
  `text` -
Returns:

#### getItemCount

    public int getItemCount()

Returns the number of items in the folder.

Returns:

#### getSelectedControl

    public org.eclipse.swt.widgets.Control getSelectedControl()

Returns the selected control

Returns:

#### getSelectionIndex

    public int getSelectionIndex()

Returns the currently selected index.

Returns:

#### getSize

    public org.eclipse.swt.graphics.Point getSize()

Returns:
See Also:
  `Control.getSize()`

#### getVisibleItems

    public java.util.List<java.lang.String> getVisibleItems()

Returns all visible items

Returns:

#### setEnabled

    public void setEnabled(boolean b)

Enables/disables the component.

Parameters:
  `b` -

#### setItemVisibilityListener

    public void setItemVisibilityListener(org.eclipse.swt.events.SelectionListener listener)

Sets the item visibility listener

Parameters:
  `listener` -

#### setLayoutData

    public void setLayoutData(java.lang.Object data)

Sets layout data.

Parameters:
  `data` -

#### setSelectedControl

    public void setSelectedControl(org.eclipse.swt.widgets.Control c)

Selects the item with the given control

Parameters:
  `c` -

#### setSelection

    public void setSelection(int index)

Sets the current selection.

Parameters:
  `index` -

#### setVisible

    public void setVisible(java.lang.String item,
                           boolean visible)

Sets the according item visible

Parameters:
  `item` -
  `visible` -

#### setVisibleItems

    public void setVisibleItems(java.util.List<java.lang.String> items)

Sets the given items as visible

Parameters:
  `item` -